;-----------------------------------------------------------------------------
;
; EQUATES.INC
;
;       Copyright (c) 1991, 1995-Present  Robert Collins
;
;       You have my permission to copy and distribute this software for
;       non-commercial purposes.  Any commercial use of this software or
;       source code is allowed, so long as the appropriate copyright
;       attributions (to me) are intact, *AND* my email address is properly
;       displayed.
;
;       Basically, give me credit, where credit is due, and show my email
;       address.
;
;-----------------------------------------------------------------------------
;
;       Robert R. Collins               email:  rcollins@x86.org
;
;-----------------------------------------------------------------------------


;-----------------------------------------------------------------------------
; Local equates
;-----------------------------------------------------------------------------
        Code_Seg_Access         equ     10011011b
        Data_Seg_Access         equ     10010011b
        CRLF                    equ     <0dh,0ah>
        CRLF$                   equ     <0dh,0ah,'$'>
        INT_SAVE                equ     [bp-4]
        INT_STACK               equ     [bp-8]
        Test_counter            equ     word ptr [bp-0ah]
        Test_status             equ     word ptr [bp-0ch]
        Access_Attr             equ     byte ptr [bp-0dh]
        Big_Attr                equ     byte ptr [bp-0eh]
        Expect_Results          equ     byte ptr [bp-10h]
        Upper_Limit             equ    dword ptr [bp-14h]
        Test_Within             equ    dword ptr [bp-18h]
        Test_Beyond             equ    dword ptr [bp-1ch]
        Expansion_BIAS          equ    dword ptr [bp-20h]


;-----------------------------------------------------------------------------
; I/O Ports
;-----------------------------------------------------------------------------
        KBC_CTL                 equ     060h    ; 8042 control port
        KBC_STAT                equ     064h    ; 8042 status port
        Cmos_index              equ     070h    ; CMOS address port
        Cmos_data               equ     071h    ; CMOS data port

;-----------------------------------------------------------------------------
; Keyboard Controller
;-----------------------------------------------------------------------------
        inpt_buf_full           equ     2       ; Input buffer full
        enable_bit20            equ     0dfh    ; enable A20 command
        disable_bit20           equ     0ddh    ; disable A20 command
        ResetCPU                equ     0feh

;-----------------------------------------------------------------------------
; CMOS RAM
;-----------------------------------------------------------------------------
        CMOS_Shutdown           equ     0fh
        User_Shutdown           equ     0ah
