;-----------------------------------------------------------------------------
;
; STRUC.INC
;
;       Copyright (c) 1991, 1995-Present  Robert Collins
;
;       You have my permission to copy and distribute this software for
;       non-commercial purposes.  Any commercial use of this software or
;       source code is allowed, so long as the appropriate copyright
;       attributions (to me) are intact, *AND* my email address is properly
;       displayed.
;
;       Basically, give me credit, where credit is due, and show my email
;       address.
;
;-----------------------------------------------------------------------------
;
;       Robert R. Collins               email:  rcollins@x86.org
;
;-----------------------------------------------------------------------------


;-----------------------------------------------------------------------------
; Structure definitions
;-----------------------------------------------------------------------------
    Descriptor  STRUC
        Seg_limit       dw      ?       ; Segment limit
        Base_A15_A00    dw      ?       ; A00..A15 of base address
        Base_A23_A16    db      ?       ; A16..A23 of base address
        Access_rights   db      ?       ; Segment access rights
        GDLimit_A19_A16 db      ?       ; Granularity, Op-size, Limit A16..A19
        Base_A31_A24    db      ?       ; A24..A31 of base address
    Descriptor  ENDS


    INT_Desc    STRUC
        IGate_Offset    dw      ?       ; Offset of handler
        CSEG_Sel        dw      ?       ; Code segment selector
                        db      0
                        db      86h     ; 286 interrupt gate=16bit CS:IP, FLAGS
        Resvd           dw      0       ; Reserved=0
    INT_Desc    ENDS


Desc_cache      STRUC
                db      0
        _Type   db      ?
        _CS32   db      0
                db      0
        _Addr   dd      ?
        _Limit  dd      ?
Desc_cache      ENDS


Loadall_Struc	STRUC
        _Cr0            dd      0
        _Eflags         dd      2
        _Eip            dd      0
        _Edi            dd      0
        _Esi            dd      0
        _Ebp            dd      0
        _Esp            dd      0
        _Ebx            dd      0
        _Edx            dd      0
        _Ecx            dd      0
        _Eax            dd      0
        _Dr6            dd      0
        _Dr7            dd      0
        _Tr             dd      0
        _Ldt            dd      0
        _Gs             dd      0
        _Fs             dd      0
        _Ds             dd      0
        _Ss             dd      0
        _Cs             dd      0
        _Es             dd      0
        TSS_Cache       dd      00008900h,00070000h,00000800h
        IDT_Cache       dd      00000000h,00000000h,000003ffh
        Gdt_Cache       dd      00000000h,00000000h,00000000h
        Ldt_Cache       dd      00008200h,00090000h,00000088h
        GS_Cache        dd      00009300h,00000000h,0000ffffh
        FS_Cache        dd      00009300h,00000000h,0000ffffh
        DS_Cache        dd      00009300h,00000000h,0000ffffh
        SS_Cache        dd      00009300h,00000000h,0000ffffh
        CS_Cache        dd      00009300h,00000000h,0000ffffh
        ES_Cache        dd      00009300h,00000000h,0000ffffh
Loadall_Struc   ENDS
